package result

import "github.com/gofiber/fiber/v2"

func (r *Result) Register(router fiber.Router) {
	router.Post("/results/getResults/:quizId", r.GetResultsByQuizID)
	router.Delete("/results/delete/:resultId", r.DelResultByID)
	router.Patch("/result/seen", r.SetStatus)
	router.Post("/results/:quizID/export", r.ExportResultsToCSV)
	router.Get("/result/:resultID", r.GetResultAnswers)
}

func (r *Result) Name() string {
	return ""
}
